#include <bits/stdc++.h>

// meoowww mrrowww :3
// go play vivid/stasis!!! https://vividstasis.gay

#define fo(i, a, b) for (auto i = (a); i < (b); i++)
#define of(i, a, b) for (auto i = (b); i-- > (a);)
#define pb push_back
#define f first
#define s second
#define lb lower_bound
#define ub upper_bound
#define be(a) a.begin(), a.end()
using namespace std;

int ____init = []{
    ios::sync_with_stdio(false);
    cin.tie(NULL), cout.tie(NULL);
    return 0;
}();

vector<int> getVisionPattern1d() {
    return { 1, 2, 3 };
}

int getMove1d(vector<int> v) {
    int c = v[v.size() / 2];
    int nc = 1 + c % 3;
    if (v[v.size() / 2 + 1] == nc) return v.size() - 1;
    else return 0;
}

vector<vector<int>> getVisionPattern2d() {
    return { { 1 } };
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return { 0, 0 };
}